Bug 845719 - [RHEL 5.9] schedule_timeout+0x8a/0xad calltrace
[RHEL 5.9] schedule_timeout+0x8a/0xad calltrace
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.9
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 03:35 EDT by Weibing Zhang
Modified: 2013-04-02 21:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-04 04:53:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log of the test (1.44 MB, text/x-log)
2012-08-04 03:35 EDT, Weibing Zhang
no flags Details

  None (edit)
Description Weibing Zhang 2012-08-04 03:35:19 EDT
Created attachment 602228 [details]
console log of the test

Description of problem:
Kernel gives calltrace while running ethtool test on RHEL5.9-Server-20120729.1 with kernel-2.6.18-333.el5.x86_64.
                                                       sibling
  task                 PC          pid father child younger older
init          S ffff810001015120     0     1      0     2               (NOTLB)
 ffff810feffb9a28 0000000000000086 ffff810fccaeb400 ffff810fccaeb400
 0000000010008040 000000000000000a ffff810feffb37a0 ffff810feff27080
 00000c6cc03f8550 0000000000004fc8 ffff810feffb3988 000000020000000a
Call Trace:
 [<ffffffff8006389f>] schedule_timeout+0x8a/0xad
 [<ffffffff8009a453>] process_timeout+0x0/0x5
 [<ffffffff80011be7>] do_select+0x3dc/0x43c
 [<ffffffff8001f11b>] __pollwait+0x0/0xe2
 [<ffffffff8008eea0>] default_wake_function+0x0/0xe
 [<ffffffff8013d858>] security_compute_av+0x2cb/0x341
 [<ffffffff80130559>] avc_has_perm+0x46/0x58
 [<ffffffff80130559>] avc_has_perm+0x46/0x58
 [<ffffffff80130e3a>] inode_has_perm+0x56/0x63
 [<ffffffff8000a7b9>] __link_path_walk+0xf10/0xf39
 [<ffffffff800ed5ab>] core_sys_select+0x1bc/0x265
 [<ffffffff8002d0b0>] mntput_no_expire+0x19/0x89
 [<ffffffff8001b462>] cp_new_stat+0xe5/0xfd
 [<ffffffff80016a14>] sys_select+0x153/0x17c
 [<ffffffff8005d116>] system_call+0x7e/0x83

migration/0   S 0000000000000003     0     2      1             3       (L-TLB)
 ffff810feffbdea0 0000000000000046 ffff810feffbdea0 ffffffff80077947
 0000000000000040 0000000000000001 ffff810feffb3040 ffff810fb4f30100
 00000c6a37a7a2e2 0000000000000978 ffff810feffb3228 0000000000000000
Call Trace:
 [<ffffffff80077947>] smp_send_reschedule+0x4e/0x53
 [<ffffffff8004526c>] migration_thread+0x1a1/0x239
 [<ffffffff800450cb>] migration_thread+0x0/0x239
 [<ffffffff80032be5>] kthread+0xfe/0x132
 [<ffffffff8005dfc1>] child_rip+0xa/0x11
 [<ffffffff80032ae7>] kthread+0x0/0x132
 [<ffffffff8005dfb7>] child_rip+0x0/0x11

ksoftirqd/0   S ffff810001004420     0     3      1             4     2 (L-TLB)
 ffff810feff01ed0 0000000000000046 ffff810feffb57e0 ffff810fe53fa080
 000006697eecde41 000000000000000a ffff810feffb57e0 ffffffff8031ab60
 00000c2e5a9ef338 0000000000000971 ffff810feffb59c8 0000000001004420
Call Trace:
 [<ffffffff80096f15>] ksoftirqd+0x0/0xbf
 [<ffffffff80096f50>] ksoftirqd+0x3b/0xbf
 [<ffffffff80032be5>] kthread+0xfe/0x132
 [<ffffffff8005dfc1>] child_rip+0xa/0x11
 [<ffffffff80032ae7>] kthread+0x0/0x132
 [<ffffffff8005dfb7>] child_rip+0x0/0x11

watchdog/0    S ffff810001004420     0     4      1             5     3 (L-TLB)
 ffff810feff03ec0 0000000000000046 0000000000000000 ffff810137cf54d0
 ffffffffffffffff 0000000000000001 ffff810feffb5080 ffffffff8031ab60
 00000c6d9183999f 00000000000001fd ffff810feffb5268 00000000800a7f79
Call Trace:
 [<ffffffff800bdde8>] watchdog+0x0/0x5f
 [<ffffffff800bde37>] watchdog+0x4f/0x5f
 [<ffffffff800bdde8>] watchdog+0x0/0x5f
 [<ffffffff80032be5>] kthread+0xfe/0x132
 [<ffffffff8005dfc1>] child_rip+0xa/0x11
 [<ffffffff80032ae7>] kthread+0x0/0x132
 [<ffffffff8005dfb7>] child_rip+0x0/0x11

migration/1   S 0000000000000002     0     5      1             6     4 (L-TLB)
 ffff810feff05ea0 0000000000000046 ffff810feff05ea0 ffffffff80077947
 0000000000000040 0000000000000001 ffff810feffb6820 ffff810fb4f30100
 00000c6b6679090a 000000000000098a ffff810feffb6a08 0000000100000000
Call Trace:
 [<ffffffff80077947>] smp_send_reschedule+0x4e/0x53
 [<ffffffff8004526c>] migration_thread+0x1a1/0x239
 [<ffffffff800450cb>] migration_thread+0x0/0x239
 [<ffffffff80032be5>] kthread+0xfe/0x132
 [<ffffffff8005dfc1>] child_rip+0xa/0x11
 [<ffffffff80032ae7>] kthread+0x0/0x132
 [<ffffffff8005dfb7>] child_rip+0x0/0x11

ksoftirqd/1   S ffff81000100caa0     0     6      1             7     5 (L-TLB)
 ffff810feff2ded0 0000000000000046 ffff810feffb60c0 ffff810fe564c820
 00000845c01ab79f 000000000000000a ffff810feffb60c0 ffff810feff18100
 00000c5a5a6a98ad 0000000000006424 ffff810feffb62a8 000000018008e40e
Call Trace:
 [<ffffffff80096f15>] ksoftirqd+0x0/0xbf
 [<ffffffff80096f50>] ksoftirqd+0x3b/0xbf
 [<ffffffff80032be5>] kthread+0xfe/0x132
 [<ffffffff8005dfc1>] child_rip+0xa/0x11
 [<ffffffff80032ae7>] kthread+0x0/0x132
 [<ffffffff8005dfb7>] child_rip+0x0/0x11

watchdog/1    S ffff81000100caa0     0     7      1             8     6 (L-TLB)
 ffff810feff2fec0 0000000000000046 0000000000000000 ffff810137cf54d0
 ffffffffffffffff 0000000000000009 ffff810feff18860 ffff810feff18100
 00000c6d81faf2a5 00000000000002de ffff810feff18a48 00000001800a7f79
Call Trace:
 [<ffffffff800bdde8>] watchdog+0x0/0x5f
 [<ffffffff800bde37>] watchdog+0x4f/0x5f
 [<ffffffff800bdde8>] watchdog+0x0/0x5f
 [<ffffffff80032be5>] kthread+0xfe/0x132
 [<ffffffff8005dfc1>] child_rip+0xa/0x11
 [<ffffffff80032ae7>] kthread+0x0/0x132
 [<ffffffff8005dfb7>] child_rip+0x0/0x11 

Version-Release number of selected component (if applicable):
RHEL5.9-Server-20120729.1 
kernel-2.6.18-333.el5.x86_64.

How reproducible:
1/1

Steps to Reproduce:
1. run ethtool function test
2. local watchdog warn
3.
  
Actual results:
call trace in console.

Expected results:
no call trace

Additional info:
job link :
https://beaker.engineering.redhat.com/jobs/270718
console log :
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/08/2707/270718/580778/console.log
relateed watchdog logs:
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/08/2707/270718/580778/7226521/38226138/test_log--kernel-networking-ethtool-functional-LOCALWATCHDOG.log
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/08/2707/270718/580778/7226521/38226138/console_dmesg--kernel-networking-ethtool-functional-LOCALWATCHDOG.log
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/08/2707/270718/580778/7226521/38226138/avc_log--kernel-networking-ethtool-functional-LOCALWATCHDOG.log
Comment 1 Weibing Zhang 2012-08-04 03:42:43 EDT
The bug happens on both gs-bl460cg1-01.rhts.eng.bos.redhat.com	and nec-em13.rhts.eng.bos.redhat.com.

http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/08/2707/270718/580779/console.log

Note You need to log in before you can comment on or make changes to this bug.